Subject: [RTG-DIR] FW: RtgDir review: draft-ietf-grow-bmp-local-rib

From: "Yemin (Amy)" <[email-masked]>
Date: Wed, 31 Mar 2021 08:00:24 +0000

Resending to RTG-DIR. 

-----邮件原件-----
发件人: Loa Andersson [mailto:[email-masked]] 
发送时间: 2021年3月31日 14:05
收件人: Yemin (Amy) <[email-masked]>; [email-masked]
抄送: [email-masked]
主题: RtgDir review: draft-ietf-grow-bmp-local-rib

Hello,

I have been selected as the Routing Directorate reviewer for this draft. 
The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review, and sometimes on special request. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see ​ http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir

Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft.

Document: draft-ietf-grow-bmp-local-rib
Reviewer: Loa Andersson
Review Date: 2021-03-31
IETF LC End Date: 2021-04-08
Intended Status: Standards Track

Summary:

This document is basically ready for publication, but has nits that should be considered prior to publication (see the included Word-file)

I have one minor concern about this document that I think should be resolved before publication.

Comments:

The document is well written, but have a lot of nits that makes the reading slow, most of this is captured on the included Word-document.

Major Issues:
"No major issues found."

Minor Issues:

I have one minor issue (though I'm uncertain how to classify it).

This minor concern is in "4.2.  Peer Flags"

This document removes the "locally sourced routes" comment under the L flag description in section 4.2 of [RFC7854]. This a text change in an existing RFC, I think this need to be done more careful than saying that a comment is dropped.

I think this would do:

"The second sub-bullet under the second bullet in section 4.2 "Per-Peer
  Header" will now read:

*  The L flag, if set to 1, indicates that the message reflects the post-policy Adj-RIB-In (i.e., its path attributes reflect the application of inbound policy). It is set to 0 if the message reflects the pre-policy Adj-RIB-In. See Section 5 for further detail.  This flag has no significance when used with route mirroring messages (Section 4.7).

If locally sourced routes are communicated using BMP, they MUST be conveyed using the Loc-RIB instance peer type."

Note: I have not checked if we need to change anything in Section 5.

Nits:
See the included word file.

/Loa
-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert                          [email-masked]
Bronze Dragon Consulting             phone: +46 739 81 21 64